de.esprit.appsuite.database.dbase.meta

## Interface DBTypeMapper

- All Superinterfaces:
    Clearable, Dumpable
  All Known Implementing Classes:
    DBOTypeMapCredential, EspritDBCredential

      public interface DBTypeMapper
      extends Dumpable, Clearable

  This interface defines methods for mapping table columns to object values (object-relational mapping).
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConstraintDefCount()`
    `int` | `getExcludeDefCount()`
    `java.lang.String` | `getFakedForeignKey(java.lang.String tableColumn)` Returns the faked foreign key reference of the given tableColumn, if one is defined.
    `java.lang.Class` | `getJavaType(java.lang.String tableColumn, java.lang.Class defaultJavaType)` Returns java-type constants for values read from the underlying type definition.
    `java.lang.Class` | `getJavaTypeByConvention(java.lang.String tableColumn, java.lang.Class defaultJavaType, int jdbcType)`
    `int` | `getTypeDefCount()`
    `boolean` | `hasConstraintDefs()`
    `boolean` | `hasExcludeDefs()`
    `boolean` | `hasTypeDefs()`
    `boolean` | `isEmpty()`
    `boolean` | `isFakedPrimaryKey(java.lang.String tableColumn)` Returns true if the given tableColumn is declared as a faked primary key (if the value is <pk>).
    `boolean` | `matchesForExclusion(java.lang.String tableName)` Tells whether this tableName matches any defined exclusion pattern and thus no DBObject should be compiled for it.
    `boolean` | `useTypeConventions()`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.type.Clearable

      `clear`

- - ### Method Detail

    - #### getJavaType

          java.lang.Class getJavaType(java.lang.String tableColumn,
                                    java.lang.Class defaultJavaType)

      Returns java-type constants for values read from the underlying type definition.

    - #### isFakedPrimaryKey

          boolean isFakedPrimaryKey(java.lang.String tableColumn)

      Returns true if the given tableColumn is declared as a faked primary key (if the value is <pk>).

    - #### getFakedForeignKey

          java.lang.String getFakedForeignKey(java.lang.String tableColumn)

      Returns the faked foreign key reference of the given tableColumn, if one is defined. The faked foreign key reference entry must be of the form: <fk:table.column>.
      Returns:
        null if no foreign key definition was found.

    - #### getJavaTypeByConvention

          java.lang.Class getJavaTypeByConvention(java.lang.String tableColumn,
                                                java.lang.Class defaultJavaType,
                                                int jdbcType)

    - #### isEmpty

          boolean isEmpty()

    - #### useTypeConventions

          boolean useTypeConventions()

    - #### hasTypeDefs

          boolean hasTypeDefs()

    - #### hasConstraintDefs

          boolean hasConstraintDefs()

    - #### getTypeDefCount

          int getTypeDefCount()

    - #### hasExcludeDefs

          boolean hasExcludeDefs()

    - #### getExcludeDefCount

          int getExcludeDefCount()

    - #### getConstraintDefCount

          int getConstraintDefCount()

    - #### matchesForExclusion

          boolean matchesForExclusion(java.lang.String tableName)

      Tells whether this tableName matches any defined exclusion pattern and thus no DBObject should be compiled for it.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.